Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# SOCK_Connector.h File Reference

`#include "ace/SOCK_Stream.h"`
`#include "ace/SOCK_Connector.inl"`

Include dependency graph for SOCK_Connector.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_SOCK_Connector
| Defines a factory that actively connects to a remote IP address and TCP port, creating a new `ACE_SOCK_Stream` object. More...

## Detailed Description

Id
  SOCK_Connector.h,v 4.36 2005/10/28 16:14:55 ossama Exp

Author:
  Doug Schmidt <schmidt@cs.wustl.edu>